Default papersize should be in sync with regional formats

Bug #1130690 reported by Gunnar Hjalmarsson on 2013-02-20
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
accountsservice (Ubuntu)
Medium
Gunnar Hjalmarsson
language-selector (Ubuntu)
Medium
Gunnar Hjalmarsson

Bug Description

The default papersize in /etc/papersize is set in the installer. When setting regional formats via language-selector, the env. variable LC_PAPER is set, but printing apps seem to not honor that variable.

Tentative measures to make the default papersize be in sync with LC_PAPER is to also set the PAPERSIZE env. variable in ~/.pam_environment when the user changes the regional formats, and to change /etc/papersize (via the paperconfig command?) when new regional formats are applied system wide.

Gunnar Hjalmarsson (gunnarhj) wrote :

Related guidance can be found in bug 1094872.

Gunnar Hjalmarsson (gunnarhj) wrote :
tags: added: patch
Changed in accountsservice (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: New → In Progress
Changed in language-selector (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in language-selector (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package accountsservice - 0.6.29-1ubuntu6

---------------
accountsservice (0.6.29-1ubuntu6) raring; urgency=low

  * debian/patches/0009-language-tools.patch:
    Set the PAPERSIZE env. variable in ~/.pam_environment, since
    LC_PAPER is ignored by many apps (LP: #1130690).
 -- Gunnar Hjalmarsson <email address hidden> Thu, 21 Feb 2013 23:53:00 +0100

Changed in accountsservice (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package language-selector - 0.106

---------------
language-selector (0.106) raring; urgency=low

  * language_support_pkgs.py:
    Changes in available_languages() to avoid that users are prompted
    to install language support for non-installed languages. That
    could happen if there were other locales on the system but the
    locales representing the installed languages.
  * dbus_backend/ls-dbus-backend:
    Update /etc/papersize when regional formats are applied system
    wide (LP: #1130690).
  * debian/control:
    Bump the accountsservice dependency.
  * LanguageSelector/LocaleInfo.py:
    Don't display the @variant portion of a language or locale name
    as b'variant'.
 -- Gunnar Hjalmarsson <email address hidden> Fri, 22 Feb 2013 07:05:00 +0100

Changed in language-selector (Ubuntu):
status: In Progress → Fix Released
Gunnar Hjalmarsson (gunnarhj) wrote :

The fix of this bug ought to be regarded a solution to bug 393818 as well.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers